Bug 1299314 - glusterfs crash during load testing
glusterfs crash during load testing
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
3.7.6
All Linux
high Severity high
: ---
: ---
Assigned To: Raghavendra G
:
Depends On: 1293485 1298498
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 00:21 EST by Raghavendra G
Modified: 2016-04-19 03:52 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1298498
Environment:
Last Closed: 2016-04-19 03:52:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2016-01-18 00:24:16 EST
REVIEW: http://review.gluster.org/13249 (protocol/server: Fix memory corruption during client-table-expand.) posted (#1) for review on release-3.7 by Raghavendra G (rgowdapp@redhat.com)
Comment 2 Vijay Bellur 2016-01-20 02:01:33 EST
COMMIT: http://review.gluster.org/13249 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 320f684a5eec9c6d39c674a93d48783301db5157
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Thu Jan 14 16:11:27 2016 +0530

    protocol/server: Fix memory corruption during client-table-expand.
    
    gf_client_clienttable_expand frees up old entries after expanding. So,
    cliententry should be reassigned to a free slot in new array of
    cliententries. Earlier it used to point to a slot in oldentries
    resulting in a use-after-free bug.
    
    Thanks to Pranith for the assistance provided.
    
    Change-Id: Iabe40c7df475471a7df7bccb302aef496ded3f1c
    BUG: 1299314
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/13249
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
Comment 3 Raghavendra G 2016-03-23 07:12:26 EDT
Client crash was because of glibc issue tracked by bz 1027101 and bz 1305406.
Comment 4 Kaushal 2016-04-19 03:52:37 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.7, please open a new bug report.

glusterfs-3.7.7 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-users/2016-February/025292.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.